Changeset 718


Ignore:
Timestamp:
May 9, 2007 1:48:39 PM (14 years ago)
Author:
dkearney
Message:

after the core rappture library (librappture.so) is created the include
files necessary to compile all other bindings are copied to the top level
include directory. python, perl, matlab, octave and tcl bindings now refer
to this top level include directory to find header files.

fortran and c examples are only compiled if we find a compiler, this check
helps prevent builds from failing before the libraries are installed.

added more checks to the configure script

removed rappture search paths from perl's unix build because perl could find
an older version of rappture and compile against it. I would rather the build
fail and have the person enter a valid prefix.

addrd the -fPIC flag to CFLAGS in src2's makefile

Location:
trunk
Files:
13 edited

Legend:

Unmodified
Added
Removed
  • trunk/Makefile.in

    r710 r718  
    4343
    4444rplib:
     45        @if ! test -d "include"; then \
     46                mkdir include;\
     47        fi
    4548        make -C src2/core librappture2.a librappture2.so.0.0
    4649        make -C src librappture;
    4750
    4851install_rplib:
    49         set -x;
    5052        make -C src2/core install;
    5153        make -C src install_rappture;
     
    6163#############################################################################
    6264build_examples:
     65ifneq ($(strip @F77@),)
    6366        make -C examples/app-fermi/fortran
     67endif
     68ifneq ($(strip @CC@),)
    6469        make -C examples/app-fermi/cee
    6570        make -C examples/app-fermi/wrapper/cee
    6671        make -C examples/c-example
     72endif
    6773
    6874install_examples: build_examples
     
    116122install_python: build_python
    117123        @if test "x@PYTHON@" != "x" ; then \
    118                 set -x; \
    119124                cd python; \
    120125                @PYTHON@ setup.py install --prefix=$(prefix); \
     
    123128build_perl:
    124129        @if test "x@PERL@" != "x" ; then \
    125                 set -x; \
    126130                cd perl; \
    127131                @PERL@ Makefile.PL INSTALLSITELIB=$(libdir)/perl5 INSTALLSITEARCH=$(libdir)/perl5 INSTALLSITEMAN3DIR=$(mandir)/man3; \
     
    131135install_perl: build_perl
    132136        @if test "x@PERL@" != "x" ; then \
    133                 make -C perl install; \
     137                cd perl; \
     138                make install; \
    134139        fi
    135140
    136141build_pkgs:
    137         set -x;
    138142        @if ! test -d "bin"; then \
    139143                mkdir bin;\
     
    148152        make -C examples/c-example clean
    149153        make -C gui clean
    150         make -C perl clean
     154        @if test -r "perl/Makefile" ; then \
     155                make -C perl clean; \
     156        fi
    151157        rm -rf python/build
    152158        make -C src clean
    153159        make -C src/matlab clean
    154160        make -C src/octave clean
    155         make -C src/tcl distclean
     161        make -C src/tcl clean
    156162        make -C src2/core clean
     163        rm -rf include
    157164
    158165distclean:
  • trunk/configure

    r708 r718  
    313313ac_subdirs_all="$ac_subdirs_all gui"
    314314ac_subdirs_all="$ac_subdirs_all src/tcl"
    315 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 MEX MKOCTFILE PERL PYTHON pythondir MEX_ARCH MEXEXT PERL_INCLUDES PERL_SITE_PACKAGES PYTHON_VERSION PYTHON_INCLUDES PYTHON_SITE_PACKAGES LIB_SEARCH_DIRS VERSION RP_BASE subdirs LIBOBJS LTLIBOBJS'
     315ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION LIB_SEARCH_DIRS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 MEX MEX_ARCH MEXEXT MKOCTFILE PERL PERL_INCLUDES PERL_SITE_PACKAGES PYTHON pythondir PYTHON_VERSION PYTHON_INCLUDES PYTHON_SITE_PACKAGES RP_BASE subdirs LIBOBJS LTLIBOBJS'
    316316ac_subst_files=''
    317317
     
    866866  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    867867  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    868   --with-matlab=DIR         Build Matlab bindings if MEX compiler is found
    869   --with-matlab-arch=ARCH         Build Matlab bindings for ARCH architecture
    870   --with-mexext=ARCH         Suggest an extension for building mex files
    871   --with-octave=DIR         Build Octave bindings if MKOCTFILE compiler is found
    872   --with-perl=DIR         Build Perl bindings if found
    873   --with-python=DIR       Build Python bindings if found
     868  --with-matlab=DIR     location of matlab and mex compiler
     869                          [default=check]
     870  --with-matlab-arch=ARCH build Matlab bindings for ARCH architecture
     871                          [default=check]
     872  --with-mexext=ARCH    fallback extension for building mex files
     873                          [default=check]
     874  --with-octave=DIR     location of octave compiler MKOCTFILE
     875                          [default=check]
     876  --with-perl=DIR       location of perl [default=check]
     877  --with-python=DIR     location of python [default=check]
    874878
    875879Some influential environment variables:
     
    979983      echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
    980984    fi
    981     cd "$ac_popdir"
     985    cd $ac_popdir
    982986  done
    983987fi
     
    13391343VERSION=0.0.1
    13401344
     1345
    13411346#------------------------------------------------------------------------
    13421347# Handle the --prefix=... option
     
    13551360    LIB_SEARCH_DIRS="-L ${libdir}"
    13561361fi
     1362
     1363
    13571364
    13581365ac_aux_dir=
     
    20582065  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    20592066  (exit $ac_status); } &&
    2060          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2067         { ac_try='test -z "$ac_c_werror_flag"
     2068                         || test ! -s conftest.err'
    20612069  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    20622070  (eval $ac_try) 2>&5
     
    21162124  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    21172125  (exit $ac_status); } &&
    2118          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2126         { ac_try='test -z "$ac_c_werror_flag"
     2127                         || test ! -s conftest.err'
    21192128  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    21202129  (eval $ac_try) 2>&5
     
    22322241  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    22332242  (exit $ac_status); } &&
    2234          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2243         { ac_try='test -z "$ac_c_werror_flag"
     2244                         || test ! -s conftest.err'
    22352245  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    22362246  (eval $ac_try) 2>&5
     
    22862296  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    22872297  (exit $ac_status); } &&
    2288          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2298         { ac_try='test -z "$ac_c_werror_flag"
     2299                         || test ! -s conftest.err'
    22892300  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    22902301  (eval $ac_try) 2>&5
     
    23312342  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    23322343  (exit $ac_status); } &&
    2333          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2344         { ac_try='test -z "$ac_c_werror_flag"
     2345                         || test ! -s conftest.err'
    23342346  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    23352347  (eval $ac_try) 2>&5
     
    23752387  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    23762388  (exit $ac_status); } &&
    2377          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2389         { ac_try='test -z "$ac_c_werror_flag"
     2390                         || test ! -s conftest.err'
    23782391  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    23792392  (eval $ac_try) 2>&5
     
    27052718  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    27062719  (exit $ac_status); } &&
    2707          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2720         { ac_try='test -z "$ac_c_werror_flag"
     2721                         || test ! -s conftest.err'
    27082722  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    27092723  (eval $ac_try) 2>&5
     
    29022916  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    29032917  (exit $ac_status); } &&
    2904          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2918         { ac_try='test -z "$ac_c_werror_flag"
     2919                         || test ! -s conftest.err'
    29052920  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    29062921  (eval $ac_try) 2>&5
     
    30803095  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    30813096  (exit $ac_status); } &&
    3082          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3097         { ac_try='test -z "$ac_cxx_werror_flag"
     3098                         || test ! -s conftest.err'
    30833099  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    30843100  (eval $ac_try) 2>&5
     
    31383154  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    31393155  (exit $ac_status); } &&
    3140          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3156         { ac_try='test -z "$ac_cxx_werror_flag"
     3157                         || test ! -s conftest.err'
    31413158  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    31423159  (eval $ac_try) 2>&5
     
    32093226  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    32103227  (exit $ac_status); } &&
    3211          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3228         { ac_try='test -z "$ac_cxx_werror_flag"
     3229                         || test ! -s conftest.err'
    32123230  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    32133231  (eval $ac_try) 2>&5
     
    32533271  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    32543272  (exit $ac_status); } &&
    3255          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3273         { ac_try='test -z "$ac_cxx_werror_flag"
     3274                         || test ! -s conftest.err'
    32563275  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    32573276  (eval $ac_try) 2>&5
     
    33273346  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33283347  (exit $ac_status); } &&
    3329          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3348         { ac_try='test -z "$ac_cxx_werror_flag"
     3349                         || test ! -s conftest.err'
    33303350  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    33313351  (eval $ac_try) 2>&5
     
    34033423  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    34043424  (exit $ac_status); } &&
    3405          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3425         { ac_try='test -z "$ac_cxx_werror_flag"
     3426                         || test ! -s conftest.err'
    34063427  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    34073428  (eval $ac_try) 2>&5
     
    37013722  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    37023723  (exit $ac_status); } &&
    3703          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3724         { ac_try='test -z "$ac_cxx_werror_flag"
     3725                         || test ! -s conftest.err'
    37043726  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    37053727  (eval $ac_try) 2>&5
     
    38533875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    38543876  (exit $ac_status); } &&
    3855          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3877         { ac_try='test -z "$ac_cxx_werror_flag"
     3878                         || test ! -s conftest.err'
    38563879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    38573880  (eval $ac_try) 2>&5
     
    40054028  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    40064029  (exit $ac_status); } &&
    4007          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     4030         { ac_try='test -z "$ac_cxx_werror_flag"
     4031                         || test ! -s conftest.err'
    40084032  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    40094033  (eval $ac_try) 2>&5
     
    41574181  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    41584182  (exit $ac_status); } &&
    4159          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     4183         { ac_try='test -z "$ac_cxx_werror_flag"
     4184                         || test ! -s conftest.err'
    41604185  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    41614186  (eval $ac_try) 2>&5
     
    42814306ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    42824307if test -n "$ac_tool_prefix"; then
    4283   for ac_prog in f77 fort77 g77 f90 xlf xlf90 fl32
     4308  for ac_prog in g77 f77 fort77 f90 xlf xlf90 fl32
    42844309  do
    42854310    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     
    43234348if test -z "$F77"; then
    43244349  ac_ct_F77=$F77
    4325   for ac_prog in f77 fort77 g77 f90 xlf xlf90 fl32
     4350  for ac_prog in g77 f77 fort77 f90 xlf xlf90 fl32
    43264351do
    43274352  # Extract the first word of "$ac_prog", so it can be a program name with args.
     
    43684393
    43694394# Provide some information about the compiler.
    4370 echo "$as_me:4370:" \
     4395echo "$as_me:4395:" \
    43714396     "checking for Fortran 77 compiler version" >&5
    43724397ac_compiler=`set X $ac_compile; echo $2`
     
    44144439  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    44154440  (exit $ac_status); } &&
    4416          { ac_try='test -z "$ac_f77_werror_flag"                         || test ! -s conftest.err'
     4441         { ac_try='test -z "$ac_f77_werror_flag"
     4442                         || test ! -s conftest.err'
    44174443  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    44184444  (eval $ac_try) 2>&5
     
    44634489  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    44644490  (exit $ac_status); } &&
    4465          { ac_try='test -z "$ac_f77_werror_flag"                         || test ! -s conftest.err'
     4491         { ac_try='test -z "$ac_f77_werror_flag"
     4492                         || test ! -s conftest.err'
    44664493  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    44674494  (eval $ac_try) 2>&5
     
    45124539
    45134540
     4541
     4542
     4543
     4544
     4545
     4546
    45144547# Check whether --with-matlab or --without-matlab was given.
    45154548if test "${with_matlab+set}" = set; then
    45164549  withval="$with_matlab"
    45174550
     4551else
     4552  with_matlab=check
    45184553fi;
     4554
    45194555
    45204556# Check whether --with-matlab_arch or --without-matlab_arch was given.
     
    45224558  withval="$with_matlab_arch"
    45234559
     4560else
     4561  with_matlab_arch=check
    45244562fi;
     4563
    45254564
    45264565# Check whether --with-mexext or --without-mexext was given.
     
    45284567  withval="$with_mexext"
    45294568
     4569else
     4570  with_mexext=check
    45304571fi;
     4572
    45314573MEX=
    45324574MEX_ARCH=
    45334575MEXEXT=
    4534 if test "$with_matlab" != "no" ; then
    4535         if test -x "$with_matlab/bin/mex"
    4536     then
    4537         echo Found mex in $with_matlab/bin/mex
    4538         MEX="$with_matlab/bin/mex"
    4539     else
    4540         if test -x "$with_matlab"
     4576    echo "$as_me:$LINENO: checking for mex" >&5
     4577echo $ECHO_N "checking for mex... $ECHO_C" >&6
     4578    if test "$with_matlab" != "no" ; then
     4579                if test -x "$with_matlab/bin/mex"
    45414580        then
    4542             echo Found mex in $with_matlab
    4543             MEX="$with_matlab"
     4581            echo Found mex in $with_matlab/bin/mex
     4582            MEX="$with_matlab/bin/mex"
    45444583        else
    4545             # Extract the first word of "mex", so it can be a program name with args.
     4584            if test -x "$with_matlab"
     4585            then
     4586                echo Found mex in $with_matlab
     4587                MEX="$with_matlab"
     4588            else
     4589                # Extract the first word of "mex", so it can be a program name with args.
    45464590set dummy mex; ac_word=$2
    45474591echo "$as_me:$LINENO: checking for $ac_word" >&5
     
    45824626fi
    45834627
     4628            fi
     4629        fi
     4630        echo "$as_me:$LINENO: result: ${MEX}" >&5
     4631echo "${ECHO_T}${MEX}" >&6
     4632        if test "x$with_matlab_arch" != "x" ; then
     4633            echo "using matlab architecture \"$with_matlab_arch\""
     4634            MEX_ARCH="-arch=$with_matlab_arch"
     4635                            fi
     4636        if test "x$MEX" != "x" ; then
     4637            mexext_fxn=`dirname $MEX`/mexext
     4638            if test "x$mexext_fxn" != "x"; then
     4639                MEXEXT=`$mexext_fxn`
     4640                if test "x${MEXEXT}" = "x" ; then
     4641                                                            if test "$with_mexext" != "check" ; then
     4642                        MEXEXT="mexglx"
     4643                    fi
     4644                fi
     4645                echo "Using mex file extension \"$MEXEXT\""
     4646                echo "$as_me:$LINENO: result: ${MEXEXT}" >&5
     4647echo "${ECHO_T}${MEXEXT}" >&6
     4648            fi
     4649        else
     4650            echo "can't find the matlab compiler \"mex\""
     4651            echo "use --with-matlab=DIR to specify the location of a matlab installation"
     4652            exit 1
    45844653        fi
    45854654    fi
    4586     if test "x$MEX" != "x" ; then
    4587         mexext_fxn=`dirname $MEX`/mexext
    4588         if test "x$mexext_fxn" != "x"; then
    4589             MEXEXT=`$mexext_fxn`
    4590             if test "x${MEXEXT}" = "x" ; then
    4591                 MEXEXT="mexglx"
    4592             fi
    4593             echo Using extension $MEXEXT
    4594         fi
    4595     fi
    4596 fi
    4597 if test "x$with_matlab_arch" != "x" ; then
    4598     MEX_ARCH="-arch=$with_matlab_arch"
    4599 fi
     4655
     4656
     4657
     4658
     4659
    46004660
    46014661
     
    46054665  withval="$with_octave"
    46064666
     4667else
     4668  with_octave=check
    46074669fi;
     4670
    46084671MKOCTFILE=
    4609 if test "$with_octave" != "no" ; then
    4610     if test -x "$with_octave/bin/mkoctfile"
    4611     then
    4612         echo Found octave in $with_octave/bin/mkoctfile
    4613         MKOCTFILE="$with_octave/bin/mkoctfile"
    4614     else
    4615         if test -x "$with_octave"
     4672    echo "$as_me:$LINENO: checking for mkoctfile" >&5
     4673echo $ECHO_N "checking for mkoctfile... $ECHO_C" >&6
     4674    if test "$with_octave" != "no" ; then
     4675        if test -x "$with_octave/bin/mkoctfile"
    46164676        then
    4617             echo Found mkoctfile in $with_octave
    4618             MKOCTFILE="$with_octave"
     4677            echo Found octave in $with_octave/bin/mkoctfile
     4678            MKOCTFILE="$with_octave/bin/mkoctfile"
    46194679        else
    4620             # Extract the first word of "mkoctfile", so it can be a program name with args.
     4680            if test -x "$with_octave"
     4681            then
     4682                echo Found mkoctfile in $with_octave
     4683                MKOCTFILE="$with_octave"
     4684            else
     4685                # Extract the first word of "mkoctfile", so it can be a program name with args.
    46214686set dummy mkoctfile; ac_word=$2
    46224687echo "$as_me:$LINENO: checking for $ac_word" >&5
     
    46574722fi
    46584723
     4724            fi
    46594725        fi
    46604726    fi
    4661 fi
     4727    echo "$as_me:$LINENO: result: ${MKOCTFILE}" >&5
     4728echo "${ECHO_T}${MKOCTFILE}" >&6
     4729
     4730
     4731
    46624732
    46634733
     
    46684738  withval="$with_perl"
    46694739
     4740else
     4741  with_perl=check
    46704742fi;
     4743
    46714744PERL=
    46724745PERL_INCLUDES=
    46734746PERL_SITE_PACKAGES=
     4747echo "$as_me:$LINENO: checking for mkoctfile" >&5
     4748echo $ECHO_N "checking for mkoctfile... $ECHO_C" >&6
    46744749if test "$with_perl" != "no" ; then
    46754750    if test -x "$with_perl/bin/perl"
     
    47264801    PERL_SITE_PACKAGES='$(libdir)/perl5'
    47274802fi
     4803echo "$as_me:$LINENO: result: ${PERL}" >&5
     4804echo "${ECHO_T}${PERL}" >&6
     4805
     4806
     4807
     4808
    47284809
    47294810
     
    47384819  withval="$with_python"
    47394820
     4821else
     4822  with_python=check
    47404823fi;
     4824
    47414825if test "$with_python" != "no" ; then
    47424826    if test -x "$with_python/bin/python"
     
    48394923
    48404924
    4841 
    4842 
    4843 
    4844 
    4845 
    4846 
    4847 
    4848 
    4849 
    48504925RP_BASE=`pwd`
    48514926
     
    55115586s,@ECHO_T@,$ECHO_T,;t t
    55125587s,@LIBS@,$LIBS,;t t
     5588s,@VERSION@,$VERSION,;t t
     5589s,@LIB_SEARCH_DIRS@,$LIB_SEARCH_DIRS,;t t
    55135590s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
    55145591s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
     
    55325609s,@ac_ct_F77@,$ac_ct_F77,;t t
    55335610s,@MEX@,$MEX,;t t
     5611s,@MEX_ARCH@,$MEX_ARCH,;t t
     5612s,@MEXEXT@,$MEXEXT,;t t
    55345613s,@MKOCTFILE@,$MKOCTFILE,;t t
    55355614s,@PERL@,$PERL,;t t
     5615s,@PERL_INCLUDES@,$PERL_INCLUDES,;t t
     5616s,@PERL_SITE_PACKAGES@,$PERL_SITE_PACKAGES,;t t
    55365617s,@PYTHON@,$PYTHON,;t t
    55375618s,@pythondir@,$pythondir,;t t
    5538 s,@MEX_ARCH@,$MEX_ARCH,;t t
    5539 s,@MEXEXT@,$MEXEXT,;t t
    5540 s,@PERL_INCLUDES@,$PERL_INCLUDES,;t t
    5541 s,@PERL_SITE_PACKAGES@,$PERL_SITE_PACKAGES,;t t
    55425619s,@PYTHON_VERSION@,$PYTHON_VERSION,;t t
    55435620s,@PYTHON_INCLUDES@,$PYTHON_INCLUDES,;t t
    55445621s,@PYTHON_SITE_PACKAGES@,$PYTHON_SITE_PACKAGES,;t t
    5545 s,@LIB_SEARCH_DIRS@,$LIB_SEARCH_DIRS,;t t
    5546 s,@VERSION@,$VERSION,;t t
    55475622s,@RP_BASE@,$RP_BASE,;t t
    55485623s,@subdirs@,$subdirs,;t t
     
    57155790  esac
    57165791
     5792  if test x"$ac_file" != x-; then
     5793    { echo "$as_me:$LINENO: creating $ac_file" >&5
     5794echo "$as_me: creating $ac_file" >&6;}
     5795    rm -f "$ac_file"
     5796  fi
    57175797  # Let's still pretend it is `configure' which instantiates (i.e., don't
    57185798  # use $as_me), people would be surprised to read:
     
    57535833      esac
    57545834    done` || { (exit 1); exit 1; }
    5755 
    5756   if test x"$ac_file" != x-; then
    5757     { echo "$as_me:$LINENO: creating $ac_file" >&5
    5758 echo "$as_me: creating $ac_file" >&6;}
    5759     rm -f "$ac_file"
    5760   fi
    57615835_ACEOF
    57625836cat >>$CONFIG_STATUS <<_ACEOF
     
    59916065    fi
    59926066
    5993     cd "$ac_popdir"
     6067    cd $ac_popdir
    59946068  done
    59956069fi
  • trunk/configure.in

    r708 r718  
    22
    33VERSION=0.0.1
     4AC_SUBST(VERSION)
    45
    56#------------------------------------------------------------------------
     
    1920    LIB_SEARCH_DIRS="-L ${libdir}"
    2021fi
     22
     23AC_SUBST(LIB_SEARCH_DIRS)
    2124
    2225AC_PROG_INSTALL
     
    3942AC_CHECK_HEADERS(vector,,AC_MSG_WARN(STL classes missing ?))
    4043
    41 AC_PROG_F77([f77 fort77 g77 f90 xlf xlf90 fl32])
    42 
    43 AC_ARG_WITH(matlab, [  --with-matlab[=DIR]         Build Matlab bindings if MEX compiler is found])
    44 AC_ARG_WITH(matlab_arch, [  --with-matlab-arch[=ARCH]         Build Matlab bindings for ARCH architecture])
    45 AC_ARG_WITH(mexext, [  --with-mexext[=ARCH]         Suggest an extension for building mex files])
    46 dnl AC_CHECK_PROG(MEX, mex, mex, false)
     44AC_PROG_F77([g77 f77 fort77 f90 xlf xlf90 fl32])
     45
     46
     47
     48
     49dnl AC_ARG_ENABLE(
     50dnl     [tcl],
     51dnl     [AS_HELP_STRING([--enable-tcl], [build tcl bindings @<:@default=check@:>@])],
     52dnl     [],
     53dnl     [enable_tcl=check])
     54dnl
     55dnl BUILD_TCL=yes
     56dnl AC_SUBST(BUILD_TCL)
     57
     58
     59dnl AC_ARG_ENABLE (
     60dnl     [matlab],
     61dnl     [AS_HELP_STRING([--enable-matlab], [build matlab bindings @<:@default=check@:>@])],
     62dnl     [],
     63dnl     [enable_matlab=check])
     64dnl BUILD_MATLAB=yes
     65dnl AC_SUBST(BUILD_MATLAB)
     66
     67AC_ARG_WITH(
     68    [matlab],
     69    [AS_HELP_STRING([--with-matlab[=DIR]],
     70        [location of matlab and mex compiler @<:@default=check@:>@])],
     71    [],
     72    [with_matlab=check])
     73
     74AC_ARG_WITH(
     75    [matlab_arch],
     76    [AS_HELP_STRING([--with-matlab-arch[=ARCH]],
     77        [build Matlab bindings for ARCH architecture @<:@default=check@:>@])],
     78    [],
     79    [with_matlab_arch=check])
     80
     81AC_ARG_WITH(
     82    [mexext],
     83    [AS_HELP_STRING([--with-mexext[=ARCH]],
     84        [fallback extension for building mex files @<:@default=check@:>@])],
     85    [],
     86    [with_mexext=check])
     87
    4788MEX=
    4889MEX_ARCH=
    4990MEXEXT=
    50 if test "$with_matlab" != "no" ; then
    51     dnl WITH_MATLAB = "yes"
    52     if test -x "$with_matlab/bin/mex"
    53     then
    54         echo Found mex in $with_matlab/bin/mex
    55         MEX="$with_matlab/bin/mex"
    56     else
    57         if test -x "$with_matlab"
    58         then
    59             echo Found mex in $with_matlab
    60             MEX="$with_matlab"
    61         else
    62             AC_PATH_PROG(MEX, mex)
    63         fi
    64     fi
    65     if test "x$MEX" != "x" ; then
    66         mexext_fxn=`dirname $MEX`/mexext
    67         if test "x$mexext_fxn" != "x"; then
    68             MEXEXT=`$mexext_fxn`
    69             if test "x${MEXEXT}" = "x" ; then
    70                 MEXEXT="mexglx"
     91dnl if test "$enable_matlab" != "no" ; then
     92    AC_MSG_CHECKING([for mex])
     93    if test "$with_matlab" != "no" ; then
     94        dnl WITH_MATLAB = "yes"
     95        if test -x "$with_matlab/bin/mex"
     96        then
     97            echo Found mex in $with_matlab/bin/mex
     98            MEX="$with_matlab/bin/mex"
     99        else
     100            if test -x "$with_matlab"
     101            then
     102                echo Found mex in $with_matlab
     103                MEX="$with_matlab"
     104            else
     105                AC_PATH_PROG(MEX, mex)
    71106            fi
    72             echo Using extension $MEXEXT
    73         fi
    74     fi
    75 fi
    76 if test "x$with_matlab_arch" != "x" ; then
    77     MEX_ARCH="-arch=$with_matlab_arch"
    78 fi
    79 
    80 dnl AM_CONDITIONAL(WITH_MATLAB, test x$MEX != x)
    81 
    82 AC_ARG_WITH(octave, [  --with-octave[=DIR]         Build Octave bindings if MKOCTFILE compiler is found])
    83 dnl AC_CHECK_PROG(MKOCTFILE, mkoctfile, mkoctfile, false)
     107        fi
     108        AC_MSG_RESULT([${MEX}])
     109        if test "x$with_matlab_arch" != "x" ; then
     110            echo "using matlab architecture \"$with_matlab_arch\""
     111            MEX_ARCH="-arch=$with_matlab_arch"
     112        dnl else
     113            dnl # if $with_matlab_arch is blank, get the os name from uname
     114        fi
     115        if test "x$MEX" != "x" ; then
     116            mexext_fxn=`dirname $MEX`/mexext
     117            if test "x$mexext_fxn" != "x"; then
     118                MEXEXT=`$mexext_fxn`
     119                if test "x${MEXEXT}" = "x" ; then
     120                    dnl # we should be doing an os type check instead of default mexglx
     121                    dnl # use $with_matlab_arch
     122                    if test "$with_mexext" != "check" ; then
     123                        MEXEXT="mexglx"
     124                    fi
     125                fi
     126                echo "Using mex file extension \"$MEXEXT\""
     127                AC_MSG_RESULT([${MEXEXT}])
     128            fi
     129        else
     130            echo "can't find the matlab compiler \"mex\""
     131            echo "use --with-matlab=DIR to specify the location of a matlab installation"
     132            exit 1
     133        fi
     134    fi
     135dnl fi
     136AC_SUBST(MEX)
     137AC_SUBST(MEX_ARCH)
     138AC_SUBST(MEXEXT)
     139
     140
     141dnl AC_ARG_ENABLE(
     142dnl     [octave],
     143dnl     [AS_HELP_STRING([--enable-octave], [build octave bindings @<:@default=check@:>@])],
     144dnl     [],
     145dnl     [enable_octave=check])
     146dnl BUILD_OCTAVE=yes
     147dnl AC_SUBST(BUILD_OCTAVE)
     148
     149
     150AC_ARG_WITH(
     151    [octave],
     152    [AS_HELP_STRING([--with-octave[=DIR]],
     153        [location of octave compiler MKOCTFILE @<:@default=check@:>@])],
     154    [],
     155    [with_octave=check])
     156
    84157MKOCTFILE=
    85 if test "$with_octave" != "no" ; then
    86     if test -x "$with_octave/bin/mkoctfile"
    87     then
    88         echo Found octave in $with_octave/bin/mkoctfile
    89         MKOCTFILE="$with_octave/bin/mkoctfile"
    90     else
    91         if test -x "$with_octave"
    92         then
    93             echo Found mkoctfile in $with_octave
    94             MKOCTFILE="$with_octave"
    95         else
    96             AC_PATH_PROG(MKOCTFILE, mkoctfile)
    97         fi
    98     fi
    99 fi
    100 dnl AM_CONDITIONAL(WITH_OCTAVE, test x$MKOCTFILE != x)
     158dnl if test "$enable_octave" != "no" ; then
     159    AC_MSG_CHECKING([for mkoctfile])
     160    if test "$with_octave" != "no" ; then
     161        if test -x "$with_octave/bin/mkoctfile"
     162        then
     163            echo Found octave in $with_octave/bin/mkoctfile
     164            MKOCTFILE="$with_octave/bin/mkoctfile"
     165        else
     166            if test -x "$with_octave"
     167            then
     168                echo Found mkoctfile in $with_octave
     169                MKOCTFILE="$with_octave"
     170            else
     171                AC_PATH_PROG(MKOCTFILE, mkoctfile)
     172            fi
     173        fi
     174    fi
     175    AC_MSG_RESULT([${MKOCTFILE}])
     176dnl fi
     177AC_SUBST(MKOCTFILE)
    101178
    102179
     
    107184dnl
    108185
    109 AC_ARG_WITH(perl, [  --with-perl[=DIR]         Build Perl bindings if found])
    110 dnl AC_CHECK_PROG(PERL, perl, perl, false)
    111 dnl AM_CONDITIONAL(WITH_PERL, test "$PERL" != "false")
     186dnl AC_ARG_ENABLE(
     187dnl     [perl],
     188dnl     [AS_HELP_STRING([--enable-perl], [build perl bindings @<:@default=check@:>@])],
     189dnl     [],
     190dnl     [enable_perl=check])
     191
     192dnl BUILD_PERL=yes
     193dnl AC_SUBST(BUILD_PERL)
     194
     195AC_ARG_WITH(
     196    [perl],
     197    [AS_HELP_STRING([--with-perl[=DIR]], [location of perl @<:@default=check@:>@])],
     198    [],
     199    [with_perl=check])
     200
    112201PERL=
    113202PERL_INCLUDES=
    114203PERL_SITE_PACKAGES=
     204AC_MSG_CHECKING([for mkoctfile])
    115205if test "$with_perl" != "no" ; then
    116206    if test -x "$with_perl/bin/perl"
     
    129219    PERL_SITE_PACKAGES='$(libdir)/perl5'
    130220fi
    131 dnl AM_CONDITIONAL(WITH_PERL, test x$PERL != x)
     221AC_MSG_RESULT([${PERL}])
     222AC_SUBST(PERL)
     223AC_SUBST(PERL_INCLUDES)
     224AC_SUBST(PERL_SITE_PACKAGES)
    132225
    133226dnl
    134227dnl check for python
    135228dnl
     229
     230dnl AC_ARG_ENABLE(
     231dnl     [python],
     232dnl     [AS_HELP_STRING([--enable-pyton], [build python bindings @<:@default=check@:>@])],
     233dnl     [],
     234dnl     [enable_python=check])
     235dnl
     236dnl BUILD_PYTHON=yes
     237dnl AC_SUBST(BUILD_PYTHON)
    136238
    137239PYTHON=
     
    140242PYTHON_SITE_PACKAGES=
    141243pythondir=
    142 AC_ARG_WITH(python, [  --with-python[=DIR]       Build Python bindings if found])
     244AC_ARG_WITH(
     245    [python],
     246    [AS_HELP_STRING([--with-python[=DIR]],[location of python @<:@default=check@:>@])],
     247    [],
     248    [with_python=check])
     249
    143250if test "$with_python" != "no" ; then
    144251    if test -x "$with_python/bin/python"
     
    194301    fi
    195302fi
    196 dnl AM_CONDITIONAL(WITH_PYTHON, test x$PYTHON != x)
    197303
    198304AC_SUBST(pythondir)
    199305dnl AC_SUBST(PYTHON_SUBDIR)
    200306
    201 AC_SUBST(MEX)
    202 AC_SUBST(MEX_ARCH)
    203 AC_SUBST(MEXEXT)
    204 AC_SUBST(MKOCTFILE)
    205 AC_SUBST(PERL)
    206 AC_SUBST(PERL_INCLUDES)
    207 AC_SUBST(PERL_SITE_PACKAGES)
    208307AC_SUBST(PYTHON)
    209308AC_SUBST(PYTHON_VERSION)
    210309AC_SUBST(PYTHON_INCLUDES)
    211310AC_SUBST(PYTHON_SITE_PACKAGES)
    212 AC_SUBST(LIB_SEARCH_DIRS)
    213 
    214 AC_SUBST(VERSION)
     311
    215312
    216313RP_BASE=`pwd`
  • trunk/perl/Makefile.PL.in

    r708 r718  
    88
    99if ($ARGV[0] eq "DEBUG") {
    10         shift @ARGV;
    11         $DEBUG = 1;
     10    shift @ARGV;
     11    $DEBUG = 1;
    1212}
    1313
     
    1616    $LD = '@CXX@';
    1717    if ($^O eq 'darwin') {
    18         @LDDLFLAGS = ( q[-bundle], 
    19                        q[-bundle_loader /usr/bin/perl], 
     18        @LDDLFLAGS = ( q[-bundle],
     19                       q[-bundle_loader /usr/bin/perl],
    2020                       q[-L/usr/local/lib],
    2121                       q[-L$(PERL_INC) -lperl]
     
    2323    }
    2424    @EXPAT_INC_SEARCHPATH = ( "@prefix@/include",
    25         "/apps/rappture/include", "/opt/rappture/include",
    2625        "/usr/local/include", "/opt/include", "../../expat-2.0.0/lib",
    2726        "../../expat/lib", "/apps/expat-2.0.0/lib", "/apps/expat/lib",
     
    2928    $EXPAT_INC="expat.h";
    3029    @RAPPTURE_INC_SEARCHPATH = ( "@prefix@/include",
    31         "../src/core", "../include", "/apps/rappture/include",
    32         "/opt/rappture/include", "/usr/local/include", "/opt/include");
     30        "../include", "/usr/local/include", "/opt/include");
    3331    $RAPPTURE_INC = "rappture.h";
    3432    @EXPAT_LIB_SEARCHPATH = ( "@prefix@/lib",
    35         "/apps/rappture/lib", "/opt/rappture/lib",
     33        "@libdir@",
    3634        "/usr/local/lib", "/opt/lib", "../../expat-2.0.0/lib",
    3735        "../../expat/lib", "/apps/expat-2.0.0/lib", "/apps/expat/lib",
     
    3937    @EXPAT_LIBS=("libexpat.so", "libexpat.a");
    4038    @RAPPTURE_LIB_SEARCHPATH = ( "@prefix@/lib",
    41         "../src", "/apps/rappture/lib", "/opt/rappture/lib",
    42         "/usr/local/lib", "/opt/lib" );
     39        "@libdir@",
     40        "../src", "/usr/local/lib", "/opt/lib" );
    4341    @RAPPTURE_LIBS=("librappture.so","librappture.a");
    4442}
     
    4947    }
    5048
    51     @EXPAT_INC_SEARCHPATH = ( "C:\\Program Files\\Rappture\\include", 
    52         "C:\\opt\\rappture\\include", "C:\\opt\\include", 
    53         "..\\..\\expat-2.0.0\\lib", "..\\..\\expat\\lib", 
    54         "C:\\Program Files\\Expat-2.0.0\\Source\\lib", 
    55         "C:\\Program Files\\Expat\\Source\\lib", 
     49    @EXPAT_INC_SEARCHPATH = ( "C:\\Program Files\\Rappture\\include",
     50        "C:\\opt\\rappture\\include", "C:\\opt\\include",
     51        "..\\..\\expat-2.0.0\\lib", "..\\..\\expat\\lib",
     52        "C:\\Program Files\\Expat-2.0.0\\Source\\lib",
     53        "C:\\Program Files\\Expat\\Source\\lib",
    5654        "C:\\opt\\expat-2.0.0\\lib", "C:\\opt\\expat\\lib" );
    5755    $EXPAT_INC="expat.h";
    58     @RAPPTURE_INC_SEARCHPATH = ( "C:\\Program Files\\Rappture\\include", 
     56    @RAPPTURE_INC_SEARCHPATH = ( "C:\\Program Files\\Rappture\\include",
    5957        "C:\\opt\\rappture\\include", "C:\\opt\\include", "..\\include" );
    6058    $RAPPTURE_INC = "rappture.h";
    61     @EXPAT_LIB_SEARCHPATH = ( "C:\\Program Files\\Rappture\\lib", 
    62         "C:\\opt\\rappture\\lib", "C:\\opt\\lib", 
    63         "..\\..\\expat-2.0.0\\lib\\Release_static", 
    64         "..\\..\\expat\\lib\\Release_static", 
     59    @EXPAT_LIB_SEARCHPATH = ( "C:\\Program Files\\Rappture\\lib",
     60        "C:\\opt\\rappture\\lib", "C:\\opt\\lib",
     61        "..\\..\\expat-2.0.0\\lib\\Release_static",
     62        "..\\..\\expat\\lib\\Release_static",
    6563        "C:\\Program Files\\Expat-2.0.0\\StaticLibs",
    66         "C:\\Program Files\\Expat\\StaticLibs", 
    67         "C:\\opt\\expat-2.0.0\\lib\\Release_static", 
     64        "C:\\Program Files\\Expat\\StaticLibs",
     65        "C:\\opt\\expat-2.0.0\\lib\\Release_static",
    6866        "C:\\opt\\expat\\lib\\Release_static" );
    6967    @EXPAT_LIBS=("libexpat.lib", "libexpatMT.lib");
    70     @RAPPTURE_LIB_SEARCHPATH = ( "C:\\Program Files\\Rappture\\lib", 
     68    @RAPPTURE_LIB_SEARCHPATH = ( "C:\\Program Files\\Rappture\\lib",
    7169        "C:\\opt\\rappture\\lib", "C:\\opt\\lib", "..\\src" );
    7270    @RAPPTURE_LIBS=("librappture.lib");
     
    8280                push @$incref, "-I$component";
    8381            }
    84             return 1;
     82            return 1;
    8583            last;
    8684        }
     
    109107                    push @$libref, $file;
    110108                }
    111                 return 1;
     109                return 1;
    112110                last SEARCH;
    113111            }
     
    142140
    143141sub dynamic_lib {
    144         my $inherited = shift->SUPER::dynamic_lib(@_);
    145         if (($^O eq "MSWin32") && ($Config{'cc'} eq "cl")) {
    146             $inherited .= "\tMT.EXE -manifest \$@.manifest -outputresource:\$@;2\n";
    147             $inherited .= "\t\$(RM_F) \$@.manifest\n";
    148         }
    149         return($inherited);
     142    my $inherited = shift->SUPER::dynamic_lib(@_);
     143    if (($^O eq "MSWin32") && ($Config{'cc'} eq "cl")) {
     144        $inherited .= "\tMT.EXE -manifest \$@.manifest -outputresource:\$@;2\n";
     145        $inherited .= "\t\$(RM_F) \$@.manifest\n";
     146    }
     147    return($inherited);
    150148}
    151149
  • trunk/python/setup.py.in

    r708 r718  
    44
    55units_module = Extension('Rappture.Units',
    6                    include_dirs = [rp_install_dir+'/include'],
     6                   include_dirs = [rp_install_dir+'/include', '../include'],
    77                   sources = [ 'Rappture/PyRpUnits.cc' ],
    8                    library_dirs = [ rp_install_dir+'/lib' ],
     8                   library_dirs = [ rp_install_dir+'/lib', '../src' ],
    99                   libraries = [ 'rappture' ] )
    1010
    1111utils_module = Extension('Rappture.Utils',
    12                    include_dirs = [rp_install_dir+'/include'],
     12                   include_dirs = [rp_install_dir+'/include', '../include'],
    1313                   sources = [ 'Rappture/PyRpUtils.cc' ],
    14                    library_dirs = [ rp_install_dir+'/lib' ],
     14                   library_dirs = [ rp_install_dir+'/lib', '../src' ],
    1515                   libraries = [ 'rappture' ] )
    1616
    1717encode_module = Extension('Rappture.encoding',
    18                    include_dirs = [rp_install_dir+'/include'],
     18                   include_dirs = [rp_install_dir+'/include', '../include'],
    1919                   sources = [ 'Rappture/PyRpEncode.cc' ],
    20                    library_dirs = [ rp_install_dir+'/lib' ],
     20                   library_dirs = [ rp_install_dir+'/lib', '../src' ],
    2121                   libraries = [ 'rappture' ] )
    2222
  • trunk/src/Makefile.in

    r708 r718  
    3939# define our directories
    4040#
    41 INCLUDES_DIR    = $(RP_BASE)/src
     41INCLUDES_DIR    = $(RP_BASE)/include
    4242BIN_DIR         = $(RP_BASE)/bin
    4343LIB_DIR         = $(RP_BASE)/src
     
    7070
    7171all: ${PROGS}
    72 install:        install_rappture        \
    73                         install_rpobjs          \
    74                         install_matlab          \
     72install:        install_rappture \
     73                        install_rpobjs \
     74                        install_matlab \
    7575                        install_octave
    7676#                       install_tcl
     
    9797librappture: $(RP_IO_DEPS) $(RP_UTILS_DEPS) $(RP_UNITS_DEPS) $(RP_OTHER_DEPS)
    9898        (cd ../src2/core/; make Outcome.o Ptr.o RpBuffer.o)
     99        $(INSTALL_DATA) $(CORE_SRC)/*.h $(INCLUDES_DIR)
     100        $(INSTALL_DATA) $(CEE_SRC)/*.h $(INCLUDES_DIR)
     101        $(INSTALL_DATA) $(FORT_SRC)/*.h $(INCLUDES_DIR)
     102        $(INSTALL_DATA) $(CORE2_SRC)/Outcome.h $(INCLUDES_DIR)
     103        $(INSTALL_DATA) $(CORE2_SRC)/Ptr.h $(INCLUDES_DIR)
     104        $(INSTALL_DATA) $(CORE2_SRC)/RpBuffer.h $(INCLUDES_DIR)
     105        $(INSTALL_DATA) $(CORE2_SRC)/rappture2.h $(INCLUDES_DIR)
    99106        @if test "`uname`" == "Darwin"; then \
    100107                $(CXX) $(DEGUG) $(LDLIB_MACOSX) $^ $(RP2_OBJ_DEP) $(EXTERNAL_RP_LIBS); \
     
    116123                cp -d $<.a $(libdir); \
    117124        fi
    118         $(INSTALL_DATA) $(CORE_SRC)/*.h $(includedir)
    119         $(INSTALL_DATA) $(CEE_SRC)/*.h $(includedir)
    120         $(INSTALL_DATA) $(FORT_SRC)/*.h $(includedir)
    121         $(INSTALL_DATA) $(CORE2_SRC)/Outcome.h $(includedir)
    122         $(INSTALL_DATA) $(CORE2_SRC)/Ptr.h $(includedir)
    123         $(INSTALL_DATA) $(CORE2_SRC)/RpBuffer.h $(includedir)
    124         $(INSTALL_DATA) $(CORE2_SRC)/rappture2.h $(includedir)
     125        $(INSTALL_DATA) $(INCLUDES_DIR)/* $(includedir)
    125126
    126127#### libRpObjects ########################################################
  • trunk/src/matlab/Makefile.in

    r708 r718  
    2424# define our directories
    2525#
    26 INCLUDES_DIR    = $(RP_BASE)/src
    2726LIB_DIR         = $(RP_BASE)/src
    28 MATLAB_SRC      = $(RP_BASE)/matlab
     27MATLAB_SRC      = $(RP_BASE)/src/matlab
    2928LIB_RAPPTURE    = -L$(LIB_DIR) -lrappture
    30 INCL_CORE       = -I$(INCLUDES_DIR)/core
    31 INCL_CEE        = -I$(INCLUDES_DIR)/cee
    32 INCL_MATLAB     = -I$(INCLUDES_DIR)/matlab
     29INCL_RAPPTURE   = -I$(RP_BASE)/include
     30INCL_MATLAB     = -I$(RP_BASE)/src/matlab
    3331
    3432OBJS=rpLib.@MEXEXT@ rpLibXml.@MEXEXT@ rpLibElement.@MEXEXT@ rpLibElementAsObject.@MEXEXT@ rpLibElementAsType.@MEXEXT@ rpLibElementAsComp.@MEXEXT@ rpLibElementAsId.@MEXEXT@ rpLibChildren.@MEXEXT@ rpLibChildrenByType.@MEXEXT@ rpLibGet.@MEXEXT@ rpLibGetString.@MEXEXT@ rpLibGetDouble.@MEXEXT@ rpLibPut.@MEXEXT@ rpLibPutString.@MEXEXT@ rpLibPutDouble.@MEXEXT@ rpLibPutData.@MEXEXT@ rpLibPutFile.@MEXEXT@ rpLibNodeComp.@MEXEXT@ rpLibNodeType.@MEXEXT@ rpLibNodeId.@MEXEXT@ rpLibResult.@MEXEXT@ rpUnitsDefineUnit.@MEXEXT@ rpUnitsGetUnits.@MEXEXT@ rpUnitsGetUnitsName.@MEXEXT@ rpUnitsGetExponent.@MEXEXT@ rpUnitsGetBasis.@MEXEXT@ rpUnitsFind.@MEXEXT@ rpUnitsConvert.@MEXEXT@ rpUnitsConvertStr.@MEXEXT@ rpUnitsConvertObjStr.@MEXEXT@ rpUnitsConvertDbl.@MEXEXT@ rpUnitsConvertObjDbl.@MEXEXT@ rpAddPresets.@MEXEXT@ rpUtilsProgress.@MEXEXT@
     
    4644
    4745# matlab bindings
    48 MEX_INCLS = $(INCL_MATLAB) $(INCL_CORE) $(INCL_CEE) $(INCL_RP_DEPS)
     46MEX_INCLS = $(INCL_MATLAB) $(INCL_RAPPTURE) $(INCL_RP_DEPS)
    4947# MEX_OPTS = -g -outdir $(MATLAB_SRC) -L$(LIB_DIR) -lrappture
    5048MEX_OPTS = -g $(LIB_RAPPTURE)
  • trunk/src/matlab/RpMatlabInterface.h

    r665 r718  
    1212 */
    1313
    14 #ifndef _Rp_MATLAB_HELPER_H 
    15 #define _Rp_MATLAB_HELPER_H 
     14#ifndef _Rp_MATLAB_HELPER_H
     15#define _Rp_MATLAB_HELPER_H
    1616
    1717#include "rappture.h"
    1818#include "RpBindingsDict.h"
    19 
    20 // dont delete this, still working on making it happen
    21 //#include "rappture.h"
    2219
    2320// include the matlab api header
  • trunk/src/octave/Makefile.in

    r708 r718  
    2424# define our directories
    2525#
    26 INCLUDES_DIR    = $(RP_BASE)/src
    2726LIB_DIR         = $(RP_BASE)/src
    28 OCTAVE_SRC      = $(SRC_DIR)/octave
    2927LIB_RAPPTURE    = -L$(LIB_DIR) -lrappture
    30 INCL_CORE       = -I$(INCLUDES_DIR)/core
    31 INCL_OCTAVE     = -I$(INCLUDES_DIR)/octave
     28INCL_RAPPTURE   = -I$(RP_BASE)/include
     29INCL_OCTAVE     = -I$(RP_BASE)/src/octave
    3230
    3331OBJS=rpAddPresets.oct rpUtilsProgress.oct rpLib.oct rpLibChildrenByType.oct rpLibChildren.oct rpLibElementAsComp.oct rpLibElementAsId.oct rpLibElementAsObject.oct rpLibElementAsType.oct rpLibElement.oct rpLibGet.oct rpLibGetString.oct rpLibGetDouble.oct rpLibNodeComp.oct rpLibNodeId.oct rpLibNodeType.oct rpLibPut.oct rpLibPutDouble.oct rpLibPutString.oct rpLibPutFile.oct rpLibResult.oct rpLibXml.oct rpUnitsConvert.oct rpUnitsConvertDbl.oct rpUnitsConvertStr.oct rpUnitsConvertObjDbl.oct rpUnitsConvertObjStr.oct rpUnitsDefineUnit.oct rpUnitsFind.oct rpUnitsGetBasis.oct rpUnitsGetExponent.oct rpUnitsGetUnits.oct rpUnitsGetUnitsName.oct
     
    4341####################################################################
    4442
    45 OCT_INCLS = $(INCL_OCTAVE) $(INCL_CORE) $(INCL_RP_DEPS)
     43OCT_INCLS = $(INCL_OCTAVE) $(INCL_RAPPTURE) $(INCL_RP_DEPS)
    4644OCTAVE_COMP_ARGS = $(OCT_INCLS) $(LIB_RAPPTURE)
    4745
  • trunk/src/octave/RpOctaveInterface.h

    r665 r718  
    1010 */
    1111
    12 #ifndef _Rp_OCTAVE_HELPER_H 
    13 #define _Rp_OCTAVE_HELPER_H 
     12#ifndef _Rp_OCTAVE_HELPER_H
     13#define _Rp_OCTAVE_HELPER_H
    1414
    1515#include "rappture.h"
  • trunk/src/tcl/configure

    r708 r718  
    970970      echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
    971971    fi
    972     cd "$ac_popdir"
     972    cd $ac_popdir
    973973  done
    974974fi
     
    23202320  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    23212321  (exit $ac_status); } &&
    2322          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2322         { ac_try='test -z "$ac_c_werror_flag"
     2323                         || test ! -s conftest.err'
    23232324  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    23242325  (eval $ac_try) 2>&5
     
    23782379  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    23792380  (exit $ac_status); } &&
    2380          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2381         { ac_try='test -z "$ac_c_werror_flag"
     2382                         || test ! -s conftest.err'
    23812383  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    23822384  (eval $ac_try) 2>&5
     
    24942496  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    24952497  (exit $ac_status); } &&
    2496          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2498         { ac_try='test -z "$ac_c_werror_flag"
     2499                         || test ! -s conftest.err'
    24972500  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    24982501  (eval $ac_try) 2>&5
     
    25482551  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25492552  (exit $ac_status); } &&
    2550          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2553         { ac_try='test -z "$ac_c_werror_flag"
     2554                         || test ! -s conftest.err'
    25512555  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25522556  (eval $ac_try) 2>&5
     
    25932597  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25942598  (exit $ac_status); } &&
    2595          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2599         { ac_try='test -z "$ac_c_werror_flag"
     2600                         || test ! -s conftest.err'
    25962601  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25972602  (eval $ac_try) 2>&5
     
    26372642  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    26382643  (exit $ac_status); } &&
    2639          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2644         { ac_try='test -z "$ac_c_werror_flag"
     2645                         || test ! -s conftest.err'
    26402646  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    26412647  (eval $ac_try) 2>&5
     
    28212827  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    28222828  (exit $ac_status); } &&
    2823          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     2829         { ac_try='test -z "$ac_cxx_werror_flag"
     2830                         || test ! -s conftest.err'
    28242831  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    28252832  (eval $ac_try) 2>&5
     
    28792886  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    28802887  (exit $ac_status); } &&
    2881          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     2888         { ac_try='test -z "$ac_cxx_werror_flag"
     2889                         || test ! -s conftest.err'
    28822890  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    28832891  (eval $ac_try) 2>&5
     
    29502958  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    29512959  (exit $ac_status); } &&
    2952          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     2960         { ac_try='test -z "$ac_cxx_werror_flag"
     2961                         || test ! -s conftest.err'
    29532962  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    29542963  (eval $ac_try) 2>&5
     
    29943003  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    29953004  (exit $ac_status); } &&
    2996          { ac_try='test -z "$ac_cxx_werror_flag"                         || test ! -s conftest.err'
     3005         { ac_try='test -z "$ac_cxx_werror_flag"
     3006                         || test ! -s conftest.err'
    29973007  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    29983008  (eval $ac_try) 2>&5
     
    35183528  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    35193529  (exit $ac_status); } &&
    3520          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3530         { ac_try='test -z "$ac_c_werror_flag"
     3531                         || test ! -s conftest.err'
    35213532  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    35223533  (eval $ac_try) 2>&5
     
    36883699  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    36893700  (exit $ac_status); } &&
    3690          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3701         { ac_try='test -z "$ac_c_werror_flag"
     3702                         || test ! -s conftest.err'
    36913703  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    36923704  (eval $ac_try) 2>&5
     
    37593771  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    37603772  (exit $ac_status); } &&
    3761          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3773         { ac_try='test -z "$ac_c_werror_flag"
     3774                         || test ! -s conftest.err'
    37623775  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    37633776  (eval $ac_try) 2>&5
     
    38233836  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    38243837  (exit $ac_status); } &&
    3825          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3838         { ac_try='test -z "$ac_c_werror_flag"
     3839                         || test ! -s conftest.err'
    38263840  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    38273841  (eval $ac_try) 2>&5
     
    38653879  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    38663880  (exit $ac_status); } &&
    3867          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3881         { ac_try='test -z "$ac_c_werror_flag"
     3882                         || test ! -s conftest.err'
    38683883  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    38693884  (eval $ac_try) 2>&5
     
    39223937  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    39233938  (exit $ac_status); } &&
    3924          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     3939         { ac_try='test -z "$ac_c_werror_flag"
     3940                         || test ! -s conftest.err'
    39253941  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    39263942  (eval $ac_try) 2>&5
     
    40894105  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    40904106  (exit $ac_status); } &&
    4091          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4107         { ac_try='test -z "$ac_c_werror_flag"
     4108                         || test ! -s conftest.err'
    40924109  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    40934110  (eval $ac_try) 2>&5
     
    41514168  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    41524169  (exit $ac_status); } &&
    4153          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4170         { ac_try='test -z "$ac_c_werror_flag"
     4171                         || test ! -s conftest.err'
    41544172  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    41554173  (eval $ac_try) 2>&5
     
    42184236  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    42194237  (exit $ac_status); } &&
    4220          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4238         { ac_try='test -z "$ac_c_werror_flag"
     4239                         || test ! -s conftest.err'
    42214240  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    42224241  (eval $ac_try) 2>&5
     
    42774296  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    42784297  (exit $ac_status); } &&
    4279          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4298         { ac_try='test -z "$ac_c_werror_flag"
     4299                         || test ! -s conftest.err'
    42804300  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    42814301  (eval $ac_try) 2>&5
     
    44784498  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    44794499  (exit $ac_status); } &&
    4480          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4500         { ac_try='test -z "$ac_c_werror_flag"
     4501                         || test ! -s conftest.err'
    44814502  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    44824503  (eval $ac_try) 2>&5
     
    45744595  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    45754596  (exit $ac_status); } &&
    4576          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4597         { ac_try='test -z "$ac_c_werror_flag"
     4598                         || test ! -s conftest.err'
    45774599  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    45784600  (eval $ac_try) 2>&5
     
    46394661  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    46404662  (exit $ac_status); } &&
    4641          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4663         { ac_try='test -z "$ac_c_werror_flag"
     4664                         || test ! -s conftest.err'
    46424665  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    46434666  (eval $ac_try) 2>&5
     
    47414764  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    47424765  (exit $ac_status); } &&
    4743          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4766         { ac_try='test -z "$ac_c_werror_flag"
     4767                         || test ! -s conftest.err'
    47444768  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    47454769  (eval $ac_try) 2>&5
     
    48374861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    48384862  (exit $ac_status); } &&
    4839          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4863         { ac_try='test -z "$ac_c_werror_flag"
     4864                         || test ! -s conftest.err'
    48404865  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    48414866  (eval $ac_try) 2>&5
     
    49024927  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    49034928  (exit $ac_status); } &&
    4904          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     4929         { ac_try='test -z "$ac_c_werror_flag"
     4930                         || test ! -s conftest.err'
    49054931  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    49064932  (eval $ac_try) 2>&5
     
    49905016  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    49915017  (exit $ac_status); } &&
    4992          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5018         { ac_try='test -z "$ac_c_werror_flag"
     5019                         || test ! -s conftest.err'
    49935020  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    49945021  (eval $ac_try) 2>&5
     
    50535080  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    50545081  (exit $ac_status); } &&
    5055          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5082         { ac_try='test -z "$ac_c_werror_flag"
     5083                         || test ! -s conftest.err'
    50565084  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    50575085  (eval $ac_try) 2>&5
     
    52005228  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    52015229  (exit $ac_status); } &&
    5202          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5230         { ac_try='test -z "$ac_c_werror_flag"
     5231                         || test ! -s conftest.err'
    52035232  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    52045233  (eval $ac_try) 2>&5
     
    53475376  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    53485377  (exit $ac_status); } &&
    5349          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5378         { ac_try='test -z "$ac_c_werror_flag"
     5379                         || test ! -s conftest.err'
    53505380  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    53515381  (eval $ac_try) 2>&5
     
    54945524  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    54955525  (exit $ac_status); } &&
    5496          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5526         { ac_try='test -z "$ac_c_werror_flag"
     5527                         || test ! -s conftest.err'
    54975528  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    54985529  (eval $ac_try) 2>&5
     
    56455676  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    56465677  (exit $ac_status); } &&
    5647          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5678         { ac_try='test -z "$ac_c_werror_flag"
     5679                         || test ! -s conftest.err'
    56485680  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    56495681  (eval $ac_try) 2>&5
     
    58465878  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    58475879  (exit $ac_status); } &&
    5848          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     5880         { ac_try='test -z "$ac_c_werror_flag"
     5881                         || test ! -s conftest.err'
    58495882  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    58505883  (eval $ac_try) 2>&5
     
    60356068  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    60366069  (exit $ac_status); } &&
    6037          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     6070         { ac_try='test -z "$ac_c_werror_flag"
     6071                         || test ! -s conftest.err'
    60386072  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    60396073  (eval $ac_try) 2>&5
     
    61826216  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    61836217  (exit $ac_status); } &&
    6184          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     6218         { ac_try='test -z "$ac_c_werror_flag"
     6219                         || test ! -s conftest.err'
    61856220  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    61866221  (eval $ac_try) 2>&5
     
    63356370  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    63366371  (exit $ac_status); } &&
    6337          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     6372         { ac_try='test -z "$ac_c_werror_flag"
     6373                         || test ! -s conftest.err'
    63386374  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    63396375  (eval $ac_try) 2>&5
     
    68476883  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    68486884  (exit $ac_status); } &&
    6849          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     6885         { ac_try='test -z "$ac_c_werror_flag"
     6886                         || test ! -s conftest.err'
    68506887  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    68516888  (eval $ac_try) 2>&5
     
    69226959  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    69236960  (exit $ac_status); } &&
    6924          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     6961         { ac_try='test -z "$ac_c_werror_flag"
     6962                         || test ! -s conftest.err'
    69256963  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    69266964  (eval $ac_try) 2>&5
     
    69977035  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    69987036  (exit $ac_status); } &&
    6999          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     7037         { ac_try='test -z "$ac_c_werror_flag"
     7038                         || test ! -s conftest.err'
    70007039  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    70017040  (eval $ac_try) 2>&5
     
    70707109  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    70717110  (exit $ac_status); } &&
    7072          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     7111         { ac_try='test -z "$ac_c_werror_flag"
     7112                         || test ! -s conftest.err'
    70737113  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    70747114  (eval $ac_try) 2>&5
     
    71407180  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71417181  (exit $ac_status); } &&
    7142          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     7182         { ac_try='test -z "$ac_c_werror_flag"
     7183                         || test ! -s conftest.err'
    71437184  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    71447185  (eval $ac_try) 2>&5
     
    74087449  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    74097450  (exit $ac_status); } &&
    7410          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     7451         { ac_try='test -z "$ac_c_werror_flag"
     7452                         || test ! -s conftest.err'
    74117453  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    74127454  (eval $ac_try) 2>&5
     
    79107952  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    79117953  (exit $ac_status); } &&
    7912          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     7954         { ac_try='test -z "$ac_c_werror_flag"
     7955                         || test ! -s conftest.err'
    79137956  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    79147957  (eval $ac_try) 2>&5
     
    80018044  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    80028045  (exit $ac_status); } &&
    8003          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     8046         { ac_try='test -z "$ac_c_werror_flag"
     8047                         || test ! -s conftest.err'
    80048048  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    80058049  (eval $ac_try) 2>&5
     
    81128156  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    81138157  (exit $ac_status); } &&
    8114          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     8158         { ac_try='test -z "$ac_c_werror_flag"
     8159                         || test ! -s conftest.err'
    81158160  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    81168161  (eval $ac_try) 2>&5
     
    82288273  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    82298274  (exit $ac_status); } &&
    8230          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     8275         { ac_try='test -z "$ac_c_werror_flag"
     8276                         || test ! -s conftest.err'
    82318277  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    82328278  (eval $ac_try) 2>&5
     
    85838629  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    85848630  (exit $ac_status); } &&
    8585          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     8631         { ac_try='test -z "$ac_c_werror_flag"
     8632                         || test ! -s conftest.err'
    85868633  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    85878634  (eval $ac_try) 2>&5
     
    86528699  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    86538700  (exit $ac_status); } &&
    8654          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     8701         { ac_try='test -z "$ac_c_werror_flag"
     8702                         || test ! -s conftest.err'
    86558703  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    86568704  (eval $ac_try) 2>&5
     
    89929040  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    89939041  (exit $ac_status); } &&
    8994          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9042         { ac_try='test -z "$ac_c_werror_flag"
     9043                         || test ! -s conftest.err'
    89959044  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    89969045  (eval $ac_try) 2>&5
     
    91439192  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    91449193  (exit $ac_status); } &&
    9145          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9194         { ac_try='test -z "$ac_c_werror_flag"
     9195                         || test ! -s conftest.err'
    91469196  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    91479197  (eval $ac_try) 2>&5
     
    91859235  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    91869236  (exit $ac_status); } &&
    9187          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9237         { ac_try='test -z "$ac_c_werror_flag"
     9238                         || test ! -s conftest.err'
    91889239  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    91899240  (eval $ac_try) 2>&5
     
    92469297  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    92479298  (exit $ac_status); } &&
    9248          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9299         { ac_try='test -z "$ac_c_werror_flag"
     9300                         || test ! -s conftest.err'
    92499301  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    92509302  (eval $ac_try) 2>&5
     
    92889340  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    92899341  (exit $ac_status); } &&
    9290          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9342         { ac_try='test -z "$ac_c_werror_flag"
     9343                         || test ! -s conftest.err'
    92919344  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    92929345  (eval $ac_try) 2>&5
     
    93499402  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    93509403  (exit $ac_status); } &&
    9351          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9404         { ac_try='test -z "$ac_c_werror_flag"
     9405                         || test ! -s conftest.err'
    93529406  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    93539407  (eval $ac_try) 2>&5
     
    93919445  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    93929446  (exit $ac_status); } &&
    9393          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9447         { ac_try='test -z "$ac_c_werror_flag"
     9448                         || test ! -s conftest.err'
    93949449  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    93959450  (eval $ac_try) 2>&5
     
    94659520  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    94669521  (exit $ac_status); } &&
    9467          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9522         { ac_try='test -z "$ac_c_werror_flag"
     9523                         || test ! -s conftest.err'
    94689524  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    94699525  (eval $ac_try) 2>&5
     
    95149570  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    95159571  (exit $ac_status); } &&
    9516          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9572         { ac_try='test -z "$ac_c_werror_flag"
     9573                         || test ! -s conftest.err'
    95179574  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    95189575  (eval $ac_try) 2>&5
     
    95909647  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    95919648  (exit $ac_status); } &&
    9592          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9649         { ac_try='test -z "$ac_c_werror_flag"
     9650                         || test ! -s conftest.err'
    95939651  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    95949652  (eval $ac_try) 2>&5
     
    96529710  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    96539711  (exit $ac_status); } &&
    9654          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9712         { ac_try='test -z "$ac_c_werror_flag"
     9713                         || test ! -s conftest.err'
    96559714  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    96569715  (eval $ac_try) 2>&5
     
    97539812  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    97549813  (exit $ac_status); } &&
    9755          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9814         { ac_try='test -z "$ac_c_werror_flag"
     9815                         || test ! -s conftest.err'
    97569816  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    97579817  (eval $ac_try) 2>&5
     
    98169876  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    98179877  (exit $ac_status); } &&
    9818          { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     9878         { ac_try='test -z "$ac_c_werror_flag"
     9879                         || test ! -s conftest.err'
    98199880  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    98209881  (eval $ac_try) 2>&5
     
    1011910180#--------------------------------------------------------------------
    1012010181RAPPTURE_DIR=$prefix
    10121 # AC_MSG_CHECKING([for rappture.h])
    10122 # RAPPTURE_DIR=""
    10123 # if test "x$rappture_dir" != "x" ; then
    10124  #
    10125  # Verify that a rappture.h file exists in the directory specified
    10126  # by --with-rappture.
    10127  #
    10128  if test -r "$rappture_dir/include/rappture.h" ; then
    10129 #     RAPPTURE_DIR="$rappture_dir"
    10130  fi
    10131 # else
    10132  #
    10133  # Otherwise, search for the rappture.h include file...
    10134  # 1. Search previously named locations.
    10135  #
    10136  for dir in \
    10137 #    $prefix \
    10138 #    $exec_prefix
    10139  do
    10140 #     if test -r "$dir/include/rappture.h" ; then
    10141 #       RAPPTURE_DIR="$dir"
    10142 #       break
    10143 #     fi
    10144  done
    10145  #
    10146  #  2. Search source directories.
    10147  #
    10148  if test "x$RAPPTURE_DIR" = "x" ; then
    10149 #     for dir in \
    10150 #      `ls -dr ../rappture 2>/dev/null` \
    10151 #      `ls -dr ../../rappture 2>/dev/null` \
    10152 #      `ls -dr ../../../rappture 2>/dev/null` \
    10153 #      `ls -dr C\:/opt/rappture 2>/dev/null` \
    10154 #      `ls -dr /opt/rappture 2>/dev/null`
    10155 #     do
    10156 #       if test -r "$dir/include/rappture.h" ; then
    10157 #         RAPPTURE_DIR="$dir"
    10158 #         break
    10159 #       fi
    10160 #     done
    10161  fi
    10162 # fi
    10163 # AC_MSG_RESULT([${RAPPTURE_DIR}])
     10182#AC_MSG_CHECKING([for rappture.h])
     10183#RAPPTURE_DIR=""
     10184#if test "x$rappture_dir" != "x" ; then
     10185#
     10186# Verify that a rappture.h file exists in the directory specified
     10187# by --with-rappture.
     10188#
     10189if test -r "$rappture_dir/include/rappture.h" ; then
     10190#    RAPPTURE_DIR="$rappture_dir"
     10191fi
     10192#else
     10193#
     10194# Otherwise, search for the rappture.h include file...
     10195# 1. Search previously named locations.
     10196#
     10197for dir in \
     10198#   $prefix \
     10199#   $exec_prefix
     10200do
     10201#    if test -r "$dir/include/rappture.h" ; then
     10202#      RAPPTURE_DIR="$dir"
     10203#      break
     10204#    fi
     10205done
     10206#
     10207#  2. Search source directories.
     10208#
     10209if test "x$RAPPTURE_DIR" = "x" ; then
     10210#    for dir in \
     10211#     `ls -dr ../rappture 2>/dev/null` \
     10212#     `ls -dr ../../rappture 2>/dev/null` \
     10213#     `ls -dr ../../../rappture 2>/dev/null` \
     10214#     `ls -dr C\:/opt/rappture 2>/dev/null` \
     10215#     `ls -dr /opt/rappture 2>/dev/null`
     10216#    do
     10217#      if test -r "$dir/include/rappture.h" ; then
     10218#        RAPPTURE_DIR="$dir"
     10219#        break
     10220#      fi
     10221#    done
     10222fi
     10223#fi
     10224#AC_MSG_RESULT([${RAPPTURE_DIR}])
    1016410225#
    10165 # if test "x$RAPPTURE_DIR" = "x" ; then
    10166  echo "can't find RAPPTURE include file \"rappture.h\""
    10167  echo "use --with-rappture=DIR to specify the location of rappture"
    10168  exit 1
    10169 # fi
     10226#if test "x$RAPPTURE_DIR" = "x" ; then
     10227echo "can't find RAPPTURE include file \"rappture.h\""
     10228echo "use --with-rappture=DIR to specify the location of rappture"
     10229exit 1
     10230#fi
    1017010231
    1017110232
    1017210233
    1017310234#--------------------------------------------------------------------
    10174 # Look for scew.h on the normal include path.  If not found, look
    10175 # for it in the --with-scew directory.
     10235# Default Rappture include path.
    1017610236#--------------------------------------------------------------------
     10237ALT_DIR="../../"
    1017710238# AC_MSG_CHECKING([for alternate paths])
    1017810239# ALT_DIR=""
     
    1110011161  esac
    1110111162
     11163  if test x"$ac_file" != x-; then
     11164    { echo "$as_me:$LINENO: creating $ac_file" >&5
     11165echo "$as_me: creating $ac_file" >&6;}
     11166    rm -f "$ac_file"
     11167  fi
    1110211168  # Let's still pretend it is `configure' which instantiates (i.e., don't
    1110311169  # use $as_me), people would be surprised to read:
     
    1113811204      esac
    1113911205    done` || { (exit 1); exit 1; }
    11140 
    11141   if test x"$ac_file" != x-; then
    11142     { echo "$as_me:$LINENO: creating $ac_file" >&5
    11143 echo "$as_me: creating $ac_file" >&6;}
    11144     rm -f "$ac_file"
    11145   fi
    1114611206_ACEOF
    1114711207cat >>$CONFIG_STATUS <<_ACEOF
  • trunk/src/tcl/configure.in

    r708 r718  
    270270#--------------------------------------------------------------------
    271271RAPPTURE_DIR=$prefix
    272 # AC_MSG_CHECKING([for rappture.h])
    273 # RAPPTURE_DIR=""
    274 # if test "x$rappture_dir" != "x" ; then
    275  #
    276  # Verify that a rappture.h file exists in the directory specified
    277  # by --with-rappture.
    278  #
    279  if test -r "$rappture_dir/include/rappture.h" ; then
    280 #     RAPPTURE_DIR="$rappture_dir"
    281  fi
    282 # else
    283  #
    284  # Otherwise, search for the rappture.h include file...
    285  # 1. Search previously named locations.
    286  #
    287  for dir in \
    288 #    $prefix \
    289 #    $exec_prefix
    290  do
    291 #     if test -r "$dir/include/rappture.h" ; then
    292 #       RAPPTURE_DIR="$dir"
    293 #       break
    294 #     fi
    295  done
    296  #
    297  #  2. Search source directories.
    298  #
    299  if test "x$RAPPTURE_DIR" = "x" ; then
    300 #     for dir in \
    301 #      `ls -dr ../rappture 2>/dev/null` \
    302 #      `ls -dr ../../rappture 2>/dev/null` \
    303 #      `ls -dr ../../../rappture 2>/dev/null` \
    304 #      `ls -dr C\:/opt/rappture 2>/dev/null` \
    305 #      `ls -dr /opt/rappture 2>/dev/null`
    306 #     do
    307 #       if test -r "$dir/include/rappture.h" ; then
    308 #         RAPPTURE_DIR="$dir"
    309 #         break
    310 #       fi
    311 #     done
    312  fi
    313 # fi
    314 # AC_MSG_RESULT([${RAPPTURE_DIR}])
    315 # 
    316 # if test "x$RAPPTURE_DIR" = "x" ; then
    317  echo "can't find RAPPTURE include file \"rappture.h\""
    318  echo "use --with-rappture=DIR to specify the location of rappture"
    319  exit 1
    320 # fi
     272#AC_MSG_CHECKING([for rappture.h])
     273#RAPPTURE_DIR=""
     274#if test "x$rappture_dir" != "x" ; then
     275#
     276# Verify that a rappture.h file exists in the directory specified
     277# by --with-rappture.
     278#
     279if test -r "$rappture_dir/include/rappture.h" ; then
     280#    RAPPTURE_DIR="$rappture_dir"
     281fi
     282#else
     283#
     284# Otherwise, search for the rappture.h include file...
     285# 1. Search previously named locations.
     286#
     287for dir in \
     288#   $prefix \
     289#   $exec_prefix
     290do
     291#    if test -r "$dir/include/rappture.h" ; then
     292#      RAPPTURE_DIR="$dir"
     293#      break
     294#    fi
     295done
     296#
     297#  2. Search source directories.
     298#
     299if test "x$RAPPTURE_DIR" = "x" ; then
     300#    for dir in \
     301#     `ls -dr ../rappture 2>/dev/null` \
     302#     `ls -dr ../../rappture 2>/dev/null` \
     303#     `ls -dr ../../../rappture 2>/dev/null` \
     304#     `ls -dr C\:/opt/rappture 2>/dev/null` \
     305#     `ls -dr /opt/rappture 2>/dev/null`
     306#    do
     307#      if test -r "$dir/include/rappture.h" ; then
     308#        RAPPTURE_DIR="$dir"
     309#        break
     310#      fi
     311#    done
     312fi
     313#fi
     314#AC_MSG_RESULT([${RAPPTURE_DIR}])
     315#
     316#if test "x$RAPPTURE_DIR" = "x" ; then
     317echo "can't find RAPPTURE include file \"rappture.h\""
     318echo "use --with-rappture=DIR to specify the location of rappture"
     319exit 1
     320#fi
    321321
    322322AC_SUBST(RAPPTURE_DIR)
    323323
    324324#--------------------------------------------------------------------
    325 # Look for scew.h on the normal include path.  If not found, look
    326 # for it in the --with-scew directory.
    327 #--------------------------------------------------------------------
     325# Default Rappture include path.
     326#--------------------------------------------------------------------
     327ALT_DIR="../../"
    328328# AC_MSG_CHECKING([for alternate paths])
    329329# ALT_DIR=""
  • trunk/src2/core/Makefile.in

    r708 r718  
    1414CXX             = @CXX@
    1515
    16 CFLAGS=-g -Wall
     16CFLAGS=-g -Wall -fPIC
    1717#CFLAGS=-O
    1818#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
Note: See TracChangeset for help on using the changeset viewer.